package com.unis.detectionnum.server.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

public class DeviceAlarmDO {
	
    private String id;

    private String sbCode;

    private Double lsLastTj;

    private Double lsCurrTj;

    private Double lsDiffTj;
    
    private Double lsLastZl;

    private Double lsCurrZl;

    //private Double lsDiffZL;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createDate;

    private String remark;
   // '报警类型  0:设备断开  1:总数  2:逐次数量',
    private Integer type;
    //报警类型 0 未处理 1已处理
    private String status;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getSbCode() {
		return sbCode;
	}

	public void setSbCode(String sbCode) {
		this.sbCode = sbCode;
	}

	public Double getLsLastTj() {
		return lsLastTj;
	}

	public void setLsLastTj(Double lsLastTj) {
		this.lsLastTj = lsLastTj;
	}

	public Double getLsCurrTj() {
		return lsCurrTj;
	}

	public void setLsCurrTj(Double lsCurrTj) {
		this.lsCurrTj = lsCurrTj;
	}

	public Double getLsDiffTj() {
		return lsDiffTj;
	}

	public void setLsDiffTj(Double lsDiffTj) {
		this.lsDiffTj = lsDiffTj;
	}

	public Double getLsLastZl() {
		return lsLastZl;
	}

	public void setLsLastZl(Double lsLastZl) {
		this.lsLastZl = lsLastZl;
	}

	public Double getLsCurrZl() {
		return lsCurrZl;
	}

	public void setLsCurrZl(Double lsCurrZl) {
		this.lsCurrZl = lsCurrZl;
	}
	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}
    
    
 
}